# Uses of Enum
org.apache.sling.distribution.journal.shared.DefaultDistributionLog.LogLevel

Packages that use DefaultDistributionLog.LogLevel
Package
Description
org.apache.sling.distribution.journal.shared

## Uses of DefaultDistributionLog.LogLevel in org.apache.sling.distribution.journal.shared

Methods in org.apache.sling.distribution.journal.shared that return DefaultDistributionLog.LogLevel
Modifier and Type
Method
Description
`static DefaultDistributionLog.LogLevel`
DefaultDistributionLog.LogLevel.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static DefaultDistributionLog.LogLevel[]`
DefaultDistributionLog.LogLevel.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.
Constructors in org.apache.sling.distribution.journal.shared with parameters of type DefaultDistributionLog.LogLevel
Modifier
Constructor
Description
``
`DefaultDistributionLog(String name, Class<?> clazz, DefaultDistributionLog.LogLevel logLevel)`